Package com.smartgwt.client.widgets.form.fields.events

# Class ValueIconClickEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<ValueIconClickHandler>
com.smartgwt.client.widgets.form.fields.events.ValueIconClickEvent

All Implemented Interfaces:
  `Cancellable`

public class ValueIconClickEvent extends AbstractSmartEvent<ValueIconClickHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueIconClickEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to suppress standard click handling for the item.
  `protected void`
  `dispatch(ValueIconClickHandler handler)`
  `static <S extends HasValueIconClickHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<ValueIconClickHandler>`
  `getAssociatedType()`
  `FormItem`
  `getFiringItem()`
  Returns the `FormItem` firing the event.
  `DynamicForm`
  `getForm()`
  the form containing this item
  `FormItem`
  `getItem()`
  the FormItem containing the valueIcon
  `static GwtEvent.Type<ValueIconClickHandler>`
  `getType()`
  Gets the type associated with this event.
  `Object`
  `getValue()`
  the current value of the item.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValueIconClickEvent

    public ValueIconClickEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringItem

    public FormItem getFiringItem()
    Returns the `FormItem` firing the event.
    Returns:
      FormItem firing the event

  - ### fire

    public static <S extends HasValueIconClickHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<ValueIconClickHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(ValueIconClickHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<ValueIconClickHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<ValueIconClickHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<ValueIconClickHandler>`

  - ### cancel

    public void cancel()
    Call this method to suppress standard click handling for the item.
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getForm

    public DynamicForm getForm()
    the form containing this item
    Returns:
      the form containing this item

  - ### getItem

    public FormItem getItem()
    the FormItem containing the valueIcon
    Returns:
      the FormItem containing the valueIcon

  - ### getValue

    public Object getValue()
    the current value of the item.
    Returns:
      the current value of the item.